<?php
if (!defined("B_PROLOG_INCLUDED") || B_PROLOG_INCLUDED !== true) die();



// Если не авторизован
if (!$USER->IsAuthorized()) {
    LocalRedirect($arParams['LOCAL_REDIRECT']);
    exit();
}


// HTTP запросы
use Bitrix\Main\Application;
$request = Application::getInstance()->getContext()->getRequest();


// Пользователь
$arResult['USER'] = $this->getUser();


// Разделы
$arResult['IBLOCK_SECTIONS'] = $this->getSections();
$SECTION_PARENT_ID = $request->getPost('SECTION_PARENT_ID');
if (!empty($SECTION_PARENT_ID)) {
    $arResult['SUB_SECTIONS_LIST'] = $this->getSections(
        $SECTION_PARENT_ID
    );
}


// Свойства
$arResult['PROPERTIES'] = $this->getProperties();

// Редактирование элемента
$EDIT_ELEMENT_ID = $request->get('EDIT_ELEMENT');
if (!empty($EDIT_ELEMENT_ID)) {
    // Основные данные элемента
    $arResult['EDIT_VALUES'] = $this->getElement($EDIT_ELEMENT_ID);
    // Если не владелец
    if ($arResult['EDIT_VALUES']['CREATED_BY'] !== $arResult['USER']['ID']) {
        LocalRedirect($arParams['LOCAL_REDIRECT']);
        exit;
    }
    // Ставим заголовок
    $APPLICATION->SetTitle("Редактирование объявления");
}


echo '<pre>';
print_r($arResult['EDIT_VALUES']);
echo '</pre>';



$this->includeComponentTemplate();