<?php
$_SERVER["DOCUMENT_ROOT"] = realpath(dirname(__FILE__) . "/../..");
$DOCUMENT_ROOT = $_SERVER["DOCUMENT_ROOT"];

define("NO_KEEP_STATISTIC", true);
define("NOT_CHECK_PERMISSIONS",true);
define('BX_NO_ACCELERATOR_RESET', true);

require($_SERVER['DOCUMENT_ROOT'] . '/bitrix/modules/main/include/prolog_before.php');
@set_time_limit(0);

use Bitrix\Main\Loader;
use Bitrix\Iblock\ElementTable;

Loader::includeModule('iblock');


$el = new CIBlockElement;
$rsElements = ElementTable::getList([
    'filter' => [
        'IBLOCK_ID' => 14,
    ],
    'select' => [
        'ID',
        'ACTIVE_FROM'
    ]
])->fetchAll();


foreach ($rsElements as $element) {
    $activeDays = date_diff(new DateTime(), new DateTime($element['ACTIVE_FROM']))->days;
    if ($activeDays > 14) {
        $arFields = array(
            'ACTIVE' => 'N',
        );
        $el->Update($element['ID'], $arFields);
    }
}


require($_SERVER["DOCUMENT_ROOT"] . "/bitrix/modules/main/include/epilog_after.php");